summaryrefslogtreecommitdiffstats
path: root/system/podman
diff options
context:
space:
mode:
Diffstat (limited to 'system/podman')
-rw-r--r--system/podman/README19
-rw-r--r--system/podman/doinst.sh2
-rw-r--r--system/podman/podman.SlackBuild33
-rw-r--r--system/podman/podman.info10
4 files changed, 33 insertions, 31 deletions
diff --git a/system/podman/README b/system/podman/README
index f7d3cfec14..67056d1aff 100644
--- a/system/podman/README
+++ b/system/podman/README
@@ -1,18 +1,23 @@
podman - for running OCI-based containers in Pods
-libpod provides a library for applications looking to use the Container Pod
-concept popularized by Kubernetes. libpod also contains a tool called podman
-for managing Pods, Containers, and Container Images.
+libpod provides a library for applications looking to use the
+Container Pod concept popularized by Kubernetes. libpod also contains
+a tool called podman for managing Pods, Containers, and Container
+Images.
At a high level, the scope of libpod and podman is the following:
-* Support multiple image formats including the existing Docker/OCI image formats.
-* Support for multiple means to download images including trust & image verification.
-* Container image management (managing image layers, overlay filesystems, etc).
+* Support multiple image formats including the existing Docker/OCI
+ image formats.
+* Support for multiple means to download images including trust & image
+ verification.
+* Container image management (managing image layers, overlay
+ filesystems, etc).
* Full management of container lifecycle
* Support for pods to manage groups of containers together
* Resource isolation of containers and pods.
-These container runtimes can run as non-root, but require sub-uid/gid mappings
+These container runtimes can run as non-root, but require sub-uid/gid
+mappings.
To run podman as a user:
diff --git a/system/podman/doinst.sh b/system/podman/doinst.sh
index b93a3a48a2..397a9bcc2d 100644
--- a/system/podman/doinst.sh
+++ b/system/podman/doinst.sh
@@ -11,8 +11,6 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/containers/libpod.conf.new
config etc/containers/registries.conf.new
config etc/containers/mounts.conf.new
-config etc/containers/seccomp.json.new
config etc/containers/policy.json.new
diff --git a/system/podman/podman.SlackBuild b/system/podman/podman.SlackBuild
index 7a727b07f3..7c9769985b 100644
--- a/system/podman/podman.SlackBuild
+++ b/system/podman/podman.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for podman
@@ -23,12 +23,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=podman
REPONAME=libpod
-VERSION=${VERSION:-1.6.2}
-GIT_COMMIT="f3ffda1e08f19e9a6a88484136b5eed76533f21a"
+VERSION=${VERSION:-4.7.2}
+GIT_COMMIT="750b4c3a7c31f6573350f0b3f1b787f26e0fe1e3"
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
# The domain part of the go package name, usually the hosting platform
DOMAIN=github.com
@@ -43,19 +46,20 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
+if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
- LIBDIRSUFFIX=""
+ echo "This script is only available for x86_64"
+ exit 1
fi
set -e
@@ -66,7 +70,7 @@ cd $TMP
rm -rf $REPONAME-$VERSION
mkdir -p $REPONAME-$VERSION/src/$DOMAIN/$ORG
cd $REPONAME-$VERSION/src/$DOMAIN/$ORG
-tar xvf $CWD/$REPONAME-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
mv $PRGNAM-$VERSION $REPONAME
cd $REPONAME
chown -R root:root .
@@ -100,14 +104,9 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
mkdir -p $PKG/etc/containers/secrets
-# use upstream's default seccomp policy
-cp seccomp.json $PKG/etc/containers/seccomp.json.new
-# use upstream config, but default to cgroupfs
-cat libpod.conf | sed 's/^cgroup_manager = "systemd"/cgroup_manager = "cgroupfs"/g' > $PKG/etc/containers/libpod.conf.new
-
cp $CWD/registries.conf $PKG/etc/containers/registries.conf.new
cp $CWD/mounts.conf $PKG/etc/containers/mounts.conf.new
cp $CWD/policy.json $PKG/etc/containers/policy.json.new
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/podman/podman.info b/system/podman/podman.info
index 725e924d15..d6ddc3ada4 100644
--- a/system/podman/podman.info
+++ b/system/podman/podman.info
@@ -1,10 +1,10 @@
PRGNAM="podman"
-VERSION="1.6.2"
+VERSION="4.7.2"
HOMEPAGE="https://github.com/containers/libpod"
-DOWNLOAD="https://github.com/containers/libpod/archive/v1.6.2/libpod-1.6.2.tar.gz"
-MD5SUM="bf43121bc45b19404d8bcfaf87e5046d"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/containers/libpod/archive/v4.7.2/podman-4.7.2.tar.gz"
+MD5SUM_x86_64="4b78f4b222e5d6e9eaaf3c74ef91e973"
REQUIRES="cni-plugins conmon runc go-md2man slirp4netns"
MAINTAINER="Vincent Batts"
EMAIL="vbatts@hashbangbash.com"